ClickUp Create Task
- GET
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Returns details of a single ClickUp Create Task action
Request
REQUIRED SCOPES
PIPELINE_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
project_namerequiredstring
The human-readable ID of the projectExample: "my-project"
pipeline_idrequiredinteger
The ID of the pipelineExample: 123
action_idrequiredinteger
The ID of the actionExample: 456
Response
RESPONSE BODY
typestring
The type of the actionValue: CLICKUP_CREATE_TASK
urlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the actionnamestring
The name of the actioncurrent_revisionstring
The git revision of the last successful run of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondslast_execution_statusstring enum
The status of the last run of the actionAllowed enum:
INPROGRESS,ENQUEUED,TERMINATED,SUCCESSFUL,FAILED,INITIAL,NOT_EXECUTED,SKIPPED,TERMINATING,WAITING_FOR_APPLY,WAITING_FOR_VARIABLES,WAITING_FOR_SETTABLE_VARIABLES,WAITING_FOR_VT_SESSIONpipelineShortPipelineView
Short representation of a pipelinepermissionsPermissionsView
Access permissions configurationloopstring[]
The list of commands that will be executed in a loopintegrationIntegrationIdentifierView
The integration used by the actionspacestring
The name of the ClickUp space the list belongs to. Optional, narrows the search when several lists share the same namefolderstring
The name of the ClickUp folder the list belongs to. Optional, narrows the search when several lists share the same name. Leave empty to match a list that is not in any folderliststring
The name of the ClickUp list to create the task intitlestring
The title of the taskdescriptionstring
The description of the task. Markdown is supportedstatusstring
The status of the task, as displayed in ClickUpprioritystring
The priority of the task. One of urgent, high, normal, lowtagsstring[]
The names of the tags to set on the task. Every tag must already exist in the space of the listassigneesstring[]
The email addresses of the people to assign the task todue_datestring
The due date of the task. Epoch milliseconds, an ISO-8601 date time or yyyy-MM-ddstart_datestring
The start date of the task. Epoch milliseconds, an ISO-8601 date time or yyyy-MM-ddtime_estimateinteger
The time estimate of the task, in minutesparentstring
The id of the parent task. When set, the task is created as its subtaskcustom_fieldsClickUpCustomFieldValue[]
The custom fields to set on the task, by field nameattachmentsstring[]
The paths of the files to attach to the task, relative to the pipeline filesystemcommentstring
The comment to add to the taskcomment_attachmentsstring[]
The paths of the files to link in the comment. ClickUp has no comment attachments - the files are uploaded as task attachments and their links are appended to the commentnotify_allboolean
Set to true to notify everyone assigned to the taskLast modified on Sep 28, 2026
Request example
CURLcurl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS200 OK